For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETDownload invoice PDF
      • GETGet invoice by id
      • GETRetrieve a payment breakdown
      • GETRetrieve Deel invoices
      • GETRetrieve invoices
      • GETRetrieve payment receipts
      • GETRetrieve refund statements
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAccounting

Get invoice by id

GET
/invoices/:invoice_id
GET
/rest/v2/invoices/:invoice_id
$curl https://api.letsdeel.com/rest/v2/invoices/abcd1234efgh5678 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "h6tNU34NabNyFB5MmkE6e",
4 "label": "INV-2025-1255892",
5 "total": "5.00",
6 "status": "paid",
7 "paid_at": "2025-04-28T00:23:18.618Z",
8 "currency": "USD",
9 "due_date": "2025-05-03T00:00:00.000Z",
10 "issued_at": "2025-04-28T00:23:18.800Z",
11 "worker_id": "2c275e07-4846-490e-b2e4-6e84139032c3",
12 "created_at": "2025-04-28T00:23:18.704Z",
13 "line_items": [
14 {
15 "id": "4nrrh24GYU6JFtBEPa4Hy",
16 "type": "EOR_WORK",
17 "total": "5.00",
18 "fx_rate": "0.8425667",
19 "quantity": 1,
20 "tax_rate": "0.00",
21 "tax_type": "vat",
22 "description": "2C2O2EZQQ8",
23 "price_per_unit": 5,
24 "sub_description": "EROZA5ZECO"
25 }
26 ],
27 "recipient_legal_entity_id": "2c275e07-4846-490e-b2e4-6e84139032c3"
28 }
29}

Retrieves the details of a single invoice by invoice_id. Token scopes: accounting:read

Was this page helpful?
Previous

Retrieve a payment breakdown

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

invoice_idstringRequired
The invoice ID used to identify the invoice to be retireved.

Response

The invoice resource returned
dataobject
The invoice resource returned

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication